Package org.firebirdsql.gds.ng

## Interface BlobConfig

All Known Implementing Classes:
  `FBBlob.Config`

    public interface BlobConfig

Firebird configuration for a blob.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeInputConfig​(BlobParameterBuffer blobParameterBuffer)` Writes out the configuration for an input blob for an `open` operation (reading a blob).
`void` `writeOutputConfig​(BlobParameterBuffer blobParameterBuffer)` Writes out the configuration for an output blob for a `create` operation (writing a blob).

### Method Detail

#### writeOutputConfig

    void writeOutputConfig​(BlobParameterBuffer blobParameterBuffer)

Writes out the configuration for an output blob for a `create` operation (writing a blob).

Parameters:
  `blobParameterBuffer` - a blob parameter buffer to be configured by this instance (implementations can assume it is empty)

#### writeInputConfig

    void writeInputConfig​(BlobParameterBuffer blobParameterBuffer)

Writes out the configuration for an input blob for an `open` operation (reading a blob).

If you want to use the inline blob cache, the blob parameter buffer must be empty.

Parameters:
  `blobParameterBuffer` - a blob parameter buffer to be configured by this instance (implementations can assume it is empty)